rwx_shellcheck() {
	local root="${1}"
	local file module modules path
	file="$(mktemp)"
	modules="$(rwx_find_shell "${root}")"
	rwx_ifs_set
	for module in ${modules}; do
		path="${root}/${module}"
		echo ". \"${path}\"" >>"${file}"
	done
	rwx_ifs_unset
	rwx_shellcheck_file "${file}"
	rwx_remove "${file}"
}

rwx_shellcheck_file() {
	local file="${1}"
	shellcheck \
		--check-sourced \
		--enable "all" \
		--exclude "3043" \
		--external-sources \
		--shell "dash" \
		"${file}"
}

rwx_shellcheck_write() {
	rwx_file_write ".shellcheckrc" "\
disable=3043
enable=all
external-sources=true
shell=sh
"
}
